import gridjs from "gridjs/dist/gridjs.umd.js";
import "gridjs/dist/gridjs.umd.js";

// Mengambil data dari input dengan id="business_type_counts"
const businessTypeCountsElement = document.getElementById("tourism_based_KBLI");
console.log(businessTypeCountsElement); 
const businessTypeCounts = JSON.parse(businessTypeCountsElement.value);  // Cek apakah data sudah terbawa dengan benar

// Membuat Grid.js instance
new gridjs.Grid({
    columns: ["Jenis Bisnis Pariwisata", "Jumlah Total"],  // Nama kolom
    data: businessTypeCounts.map(item => [item.kbli_title, item.total_records]),  // Mengubah data untuk Grid.js
    search: true,  // Menambahkan fitur pencarian
    pagination: true,  // Menambahkan fitur pagination
    sort: true,  // Menambahkan fitur sorting
}).render(document.getElementById("tourisms-report-data-table"));
